Pitivi Video Editor non funziona

Tutto ciò che è pertinente a Sabayon Linux, indipendentemente dall'architettura e dall'ambiente grafico

Moderator: Moderators

Post Reply
User avatar
fiorello
Sagely Hen
Posts: 1515
Joined: Mon Aug 13, 2007 14:06
Location: Bourg En Bresse - France

Pitivi Video Editor non funziona

Post by fiorello » Sun Nov 17, 2019 20:47

Sto' cercando un tool semplice per ridurre le video, ho installato il programma ma non parte, dal log mi dice che mancano due librerie ma sono installate:

Code: Select all

$ pitivi
ERREUR - Les dépendances requises suivantes sont manquantes :
=============================================================
- numpy introuvable sur le système
- matplotlib introuvable sur le système

Code: Select all

$ equo search numpy
╠  @@ Recherche...
╠      @@ Paquet: dev-python/numpy-1.16.5 branche: 5, [sabayonlinux.org] 
╠          Disponible:       version: 1.16.5 ~ tag: NoTag ~ révision: 1
╠          Installé:         version: 1.16.5 ~ tag: NoTag ~ révision: 1
╠          entaille:         0
╠          Page d'accueil:   https://www.numpy.org 
╠          Description:      Fast array and numerical python 
╠                            library 
╠          License:          BSD
╠   Mots-clé:  numpy
╠   Trouvé:    1 entry

Code: Select all

$ equo search matplotlib
╠  @@ Recherche...
╠      @@ Paquet: dev-python/matplotlib-2.2.2-r1 branche: 5, [sabayonlinux.org] 
╠          Disponible:       version: 2.2.2-r1 ~ tag: NoTag ~ révision: 2
╠          Installé:         version: 2.2.2-r1 ~ tag: NoTag ~ révision: 2
╠          entaille:         0
╠          Page d'accueil:   https://matplotlib.org/ 
╠          Description:      Pure python plotting library with 
╠                            matlab like syntax 
╠          License:          BSD BitstreamVera MIT OFL-1.1 matplotlib
╠   Mots-clé:  matplotlib
╠   Trouvé:    1 entry
Qualche suggerimento, grazie.
ASRock-Z68 Professional Gen3 *_* Intel(R) i7-2600K CPU @ 3.40GHz *_* MSI GeForce® GTX 1050 Ti 4GT OC *_* AR5416 Wireless Network {AR5008802.11(a) bgn} *_* Mémoire totale 8 Gio *_* linux-4.19.0 *_* Sabayon KDE-5 *_*
Image
# && fotoabc.it &&

User avatar
sabayonino
Sagely Hen
Posts: 3569
Joined: Sun Sep 21, 2008 1:12
Location: Italy
Contact:

Re: Pitivi Video Editor non funziona

Post by sabayonino » Mon Nov 18, 2019 11:21

Reinstalla le librerie . Ho provato . Pitivi parte.

User avatar
fiorello
Sagely Hen
Posts: 1515
Joined: Mon Aug 13, 2007 14:06
Location: Bourg En Bresse - France

Re: Pitivi Video Editor non funziona

Post by fiorello » Tue Nov 19, 2019 14:20

Non parte e mi da lo stesso errore, ho provato anche a reinstallare tutti i pacchetti che il programma richiedeva senza nessun risultato:

Code: Select all

# equo install --ask media-video/pitivi-0.999
╠  @@ Calcul des dépendances...
╠  @@ Voici les paquets qui seraient installés:
╠  ## [N] [sabayonlinux.org] media-libs/gsound-1.0.2-r1|1
╠  ## [N] [sabayonlinux.org] dev-python/gst-python-1.14.1-r1|0
╠  ## [N] [sabayonlinux.org] media-libs/gstreamer-editing-services-1.14.3|1
╠  ## [N] [sabayonlinux.org] media-plugins/gst-plugins-gdkpixbuf-1.14.5|0
╠  ## [N] [sabayonlinux.org] x11-libs/libwnck-3.30.0|0
╠  ## [N] [sabayonlinux.org] dev-python/subprocess32-3.2.7|0
╠  ## [N] [sabayonlinux.org] dev-python/pyparsing-2.4.0|0
╠  ## [N] [sabayonlinux.org] dev-python/kiwisolver-1.0.1|1
╠  ## [N] [sabayonlinux.org] dev-python/functools32-3.2.3|1
╠  ## [N] [sabayonlinux.org] media-fonts/stix-fonts-2.0.0|0
╠  ## [N] [sabayonlinux.org] dev-python/python-dateutil-2.7.5|0
╠  ## [N] [sabayonlinux.org] media-libs/qhull-2015.2|0
╠  ## [N] [sabayonlinux.org] dev-python/pytz-2018.9|0
╠  ## [N] [sabayonlinux.org] dev-python/xcffib-0.8.1|1
╠  ## [N] [sabayonlinux.org] dev-python/cairocffi-0.8.0|1
╠  ## [N] [sabayonlinux.org] dev-python/backports-1.0|5
╠  ## [N] [sabayonlinux.org] dev-python/backports-functools-lru-cache-1.5|0
╠  ## [N] [sabayonlinux.org] dev-python/cycler-0.10.0|2
╠  ## [N] [sabayonlinux.org] dev-python/matplotlib-2.2.2-r1|2
╠  ## [N] [sabayonlinux.org] media-plugins/gst-transcoder-1.8.2-r1|1
╠  ## [N] [sabayonlinux.org] media-video/pitivi-0.999|1
╠  @@ Paquets qui ont besoin d'être installés/mis à jour/rétrogradés: 21
╠  @@ Paquets qui ont besoin d'être supprimés: 0
╠  @@ Paquets qui ont besoin d'être installés: 21
╠  @@ Paquets qui ont besoin d'être réinstallés: 0
╠  @@ Paquets qui ont besoin d'être mis à jour: 0
╠  @@ Paquets qui ont besoin d'être rétrogradés: 0
╠  @@ Taille du téléchargement: 27.5MB
╠  @@ Espace disque utilisé: 89.5MB
╠  @@ Vous avez besoin d'au moins: 144.5MB d'espace libre
Provato anche a passare per Portage che per installare mi domandava altre librerie che non sono alla stessa revisone di Entropy (non ho continuato):

Code: Select all

Calculating dependencies... done!
[ebuild  N     ] dev-util/itstool-2.0.6::gentoo  PYTHON_SINGLE_TARGET="python3_6 -python3_5 -python3_7" PYTHON_TARGETS="python3_6 -python3_5 -python3_7" 101 KiB
[ebuild  N     ] gnome-extra/yelp-xsl-3.32.1::gentoo  517 KiB
[ebuild  N     ] app-text/yelp-tools-3.32.2::gentoo  207 KiB
[ebuild  NS    ] dev-python/pygobject-3.32.0:3::sabayon-distro [2.28.6-r55:2::gentoo] USE="cairo%* threads%* -examples -test (-libffi%)" PYTHON_TARGETS="python2_7 python3_6%* -python3_5% -python3_7%" 0 KiB
[ebuild  N     ] media-video/pitivi-0.999::gentoo  USE="v4l -test" PYTHON_SINGLE_TARGET="python3_6 -python3_5" PYTHON_TARGETS="python3_6 -python3_5" 12 009 KiB
Spazzato via la cartella GStreamer, reinstallato il programma ma da sempre lo stesso problema:

Code: Select all

$ pitivi
ERREUR - Les dépendances requises suivantes sont manquantes :
=============================================================
- numpy introuvable sur le système
- matplotlib introuvable sur le système
:|
ASRock-Z68 Professional Gen3 *_* Intel(R) i7-2600K CPU @ 3.40GHz *_* MSI GeForce® GTX 1050 Ti 4GT OC *_* AR5416 Wireless Network {AR5008802.11(a) bgn} *_* Mémoire totale 8 Gio *_* linux-4.19.0 *_* Sabayon KDE-5 *_*
Image
# && fotoabc.it &&

Post Reply